For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETGet
      • DELDelete
      • PATCHUpdate
      • POSTDuplicate
      • POSTCopy
      • GETSearch
        • POSTImport
        • GETStatus
LogoLogo
Sign upLog in
API ReferenceLandscapesImport

Import

POST
https://api.icepanel.io/v1/landscapes/:landscapeId/versions/:versionId/import
POST
/v1/landscapes/:landscapeId/versions/:versionId/import
$curl -X POST https://api.icepanel.io/v1/landscapes/landscapeId/versions/versionId/import \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "modelConnections": [
> {
> "direction": "outgoing",
> "id": "connection-1",
> "name": "Connection",
> "originId": "object-2",
> "targetId": "object-3"
> }
> ],
> "modelObjects": [
> {
> "id": "object-1",
> "name": "Domain",
> "type": "domain"
> },
> {
> "id": "object-2",
> "name": "System",
> "type": "system",
> "groupIds": [
> "object-3"
> ],
> "parentId": "object-1"
> },
> {
> "id": "object-3",
> "name": "Group",
> "type": "group",
> "parentId": "object-1",
> "tagIds": [
> "tag-1"
> ]
> }
> ],
> "tagGroups": [
> {
> "icon": "bug",
> "id": "tag-group-1",
> "name": "Tag Group"
> }
> ],
> "tags": [
> {
> "color": "beaver",
> "groupId": "tag-group-1",
> "id": "tag-1",
> "name": "Tag"
> }
> ]
>}'
1{
2 "landscapeImport": {
3 "createdAt": "2024-01-15T09:30:00Z",
4 "createdBy": "user",
5 "createdById": "string",
6 "deleteAt": "2024-01-15T09:30:00Z",
7 "id": "string",
8 "landscapeId": "string",
9 "status": "in-progress",
10 "versionId": "string",
11 "completedAt": "2024-01-15T09:30:00Z",
12 "errors": [
13 {
14 "message": "string",
15 "code": "string",
16 "entityId": "string",
17 "entityOriginalId": "string",
18 "entityType": "model-object"
19 }
20 ],
21 "prune": true
22 }
23}

Create a background job that imports a landscape from JSON format.

The JSONSchema can be accessed at api.icepanel.io/v1/schemas/LandscapeImportData for automations or using LLMs for generation.

Was this page helpful?
Previous

Status

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

landscapeIdstringRequired
versionIdstringRequired

Query parameters

prunebooleanOptional
When enabled, entities that are missing from the import will be deleted.

Request

This endpoint expects an object.
modelConnectionslist of objectsOptional
modelObjectslist of objectsOptional
namespacestringOptional
The namespace of the import, used for seperate operations when using multiple import sources
tagGroupslist of objectsOptional
tagslist of objectsOptional

Response

OK
landscapeImportobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error